<?php
	$id = intval($_GET['id']); 
	$userid = intval($_GET['user']);
	$data = DB :: $pdo -> queryFetch("SELECT * FROM `{$table_a}` WHERE `id` = ? AND `id_user` = ? LIMIT 1;", array($id, $userid));
	if(!isset($data['id'])){ system :: redirect("Альбома не существует либо еще не создан.", "{$thisLink}{$userid}", 1); }

	/* Изменения */
	if(isset($_POST['cfms'])) {
	    $msg =  system :: check(system :: text($_POST['name']));
		$opis =  system :: check($_POST['text']);
		$name_str = system :: utf_strlen($msg);
	    $msg_str = system :: utf_strlen($opis);
	            if($name_str >= 3) {
			    if($name_str <= 50) {
			    if($msg_str <= 150) {	
	   DB :: $pdo -> query("UPDATE `{$table_a}` SET `name` = ?, `text` = ?  WHERE `id` = ? LIMIT 1;", [$msg,$opis,$data['id']]);	
				
			system :: redirect("Альбом успешно отредактирован.", $thisLink."{$user['id']}/album{$id}");
		  
			    } else { $errMsg = "Описание превышает 150 знаков."; }
		        	} else { $errMsg = "Название привышает 50 знаков."; }
	                	} else { $errMsg = "Пустое название."; }
                            	}
    /*Конец */	
	
	

	$title = $l = "Фотографии - Редактировать альбом";
	
	$lBack = "{$thisLink}{$userid}";
	require (CORE."head.php");
	echo "<div class=\"app-block\">";
	
	
echo "<div class='list'><span class='_gray'><b>Альбом: ".$data['name']."</b></span></div>";
system :: show($errMsg);
	
?>
	
	<div class="list">

	<div class="app-block-w">
	<form method="post" action="">
		
			<label class="_gray _dbl" for="album-name">Название альбома(50 знаков):</label>
		<input placeholder="Введите название к альбому.." class="main-input _w-100" type="text" name="name"  value="<?=$data['name']?>"/>

			<label class="_gray _dbl" for="album-message">Описание(150 знаков):</label>
			<textarea placeholder="Введите описание к альбому.." name="text"><?=$data['text']?></textarea>
			<div class="_btn-up">
			<input type="submit" name="cfms" class="main-btn _w-100" value="Сохранить изменения">
			</div>
	</form>
	</div>
	</div>
<div  class="touch-back"><a href="?remove" class="touch-cont">Удалить альбом </a></div> 
	<?php
	
	echo "</div>";


require (CORE."foot.php");